Arch: PipeConnector/Коннектор труб

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch PipeConnector and the translation is 56% complete.
Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語
Arrow-left.svg Arch Pipe.svg Pipe Назад:

Arch PipeConnector.svg Arch PipeConnector

Расположение в меню
Архитектура → Pipe Tools → Pipe Connector
Верстаки
Arch
Быстрые клавиши
P C
Представлено в версии
0.17
См. также
Arch Pipe/ru, Arch Equipment/ru


Описание

introduced in version 0.17 Этот инструмент позволяет создавать углы или тройные соединения между двумя или тремя выбранными трубами/Arch Pipes.

Использование

Выберите 2 или 3 Arch Pipes. Если вы выбираете 3 трубы, два из них должны быть точно выровнены.

  1. Нажмите кнопку Arch PipeConnector.png Arch PipeConnector или нажмите P, затем C

Свойства

  • DataRadius: Радиус кривизны этого соединителя

Типичный рабочий процесс

Скриптование

Инструмент «Коннектор труб» может использоваться в макросах и на консоли python с помощью следующей функции:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Creates a Connector object from the given pipes, which is a list of Arch Pipes, and optionally a radius of curvature.
    • The base objects (Draft Wires) of the Arch Pipes should share an endpoint so they create a proper, smooth connector.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Pipe.svg Pipe Назад: